Subject: RE: [dhcwg] Implementation problem

From: "Bernie Volz (EUD)" <[email-masked]>
Date: Sat, 22 Sep 2001 12:51:34 -0500

My understanding is that the server always provides a fully specified 128-bit IPv6 address.

If we ever want to just assign prefixes, we always can define a new option for that purpose.

-----Original Message-----
From: Jim Bound [mailto:[email-masked]]
Sent: Friday, September 21, 2001 11:55 PM
To: Guja, ArturX
Cc: Dhcwg (E-mail)
Subject: Re: [dhcwg] Implementation problem

We have gone back and forth on this.  I am assuming we are now at the
state where you use it as-is?  I believe that was consensus of last round?
If we don't do this it gets too complicated to finish this spec for last
call.  In the future we can extend address types and scenarios.  

/jim

On Fri, 21 Sep 2001, Guja, ArturX wrote:

> Can a client get ANY address from the available pools, 
> or does it only get a prefix to be filled with its interface identifier?
> 
> Or, is it the server's duty to make sure, that the addresses passed
> to the client are of the form:
> prefix + interface ID
> If so, the server could take the interface ID of the client from the
> client's
> link local address (if it still gets it, I'm not sure after all the changes
> here).
> 
> Does the client check the addresses' structure, or does it assign those
> addresses to its interfaces on an "AS IS" principle?
> 
> Artur G.
> 
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/dhcwg
> 

_______________________________________________
dhcwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/dhcwg